# api_msg Struct Reference

`#include <api_msg.h>`

## Data Fields

api_msg_msg | msg
enum api_msg_type | type

## Detailed Description

Definition at line 87 of file api_msg.h.

## Field Documentation

struct api_msg_msg api_msg::msg

Definition at line 89 of file api_msg.h.

Referenced by netconn_bind(), netconn_close(), netconn_connect(), netconn_delete(), netconn_listen(), netconn_recv(), netconn_send(), and netconn_write().

enum api_msg_type api_msg::type

Definition at line 88 of file api_msg.h.

Referenced by netconn_recv().

The documentation for this struct was generated from the following file:

- src/sys/include/net/api_msg.h